User account creation filtered due to spam.

Bug 20418 - ICE if variable name is omitted in an initialiser and a qualified type for the variable is used
Summary: ICE if variable name is omitted in an initialiser and a qualified type for th...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: java (show other bugs)
Version: 4.1.0
: P2 normal
Target Milestone: 4.3.0
Assignee: Not yet assigned to anyone
URL:
Keywords: ice-on-invalid-code
Depends on: 28067
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 07:29 UTC by Ranjit Mathew
Modified: 2007-01-09 20:47 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2005-06-11 05:07:24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ranjit Mathew 2005-03-11 07:29:31 UTC
This very simple testcase fails with an ICE on mainline:
---------------------------------- 8< ----------------------------------
~/src/tmp > $MYGCJ --version
gcj (GCC) 4.1.0 20050311 (experimental)
Copyright (C) 2005 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

~/src/tmp > cat Snafu.java
public class Snafu
{
  public static void main( String[] args)
  {
    java.io.File = new java.io.File( "junk");
  }
}

~/src/tmp > $MYGCJ --syntax-only Snafu.java
Snafu.java: In class 'Snafu':
Snafu.java: In method 'Snafu.main(java.lang.String[])':
Snafu.java:5: internal compiler error: internal error in check-init: tree code n
ot implemented: type_decl
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
---------------------------------- 8< ----------------------------------
Comment 1 Ranjit Mathew 2005-03-11 09:16:36 UTC
Of course it's true - you think I'd lie? ;-)
Comment 2 David Daney 2006-05-11 17:54:33 UTC
Test case committed as:

	* testsuite/libjava.compile/PR20418.java: New.
	* testsuite/libjava.compile/PR20418.xfail: New.
Comment 3 Tom Tromey 2007-01-09 20:47:28 UTC
All gcj front end bugs have been fixed by the gcj-eclipse branch merge.
I'm mass-closing the affected PRs.
If you believe one of these was closed in error, please reopen it
with a note explaining why.
Thanks.